QGIS Application - Bug report #8144

labels data defined rotation does not work if data defined position is set + label rotation tool does
not work if data defined position is not defined

2013-06-24 05:38 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16972
Description

enable data defined rotation -> ok

then

enable data defined position -> labels become horizontal

then

move manually one label -> label is rotated

It is not a regression as in 1.8 there was a similar issue, it is anyway or a bug or a not intuitive way to work, user side obviously :)

Is there anyway to have all the labels automatically rotated after enabling the data defined position? if yes, is this case documented?

cheers!

History

#1 - 2013-06-24 05:42 AM - Paolo Cavallini
- Subject changed from labels data defined rotation does not work if data defined poistion is set(?) to labels data defined rotation does not work if data

defined position is set(?)

#2 - 2014-06-04 12:28 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Subject changed from labels data defined rotation does not work if data defined position is set(?) to labels data defined rotation does not work if data
defined position is set

- Priority changed from Normal to High

another consequence of this issue is that without defining the data defined position for labels the labels are correctly rotated but the rotation tool does not

work.

#3 - 2014-06-04 12:29 AM - Giovanni Manghi
- Subject changed from labels data defined rotation does not work if data defined position is set to labels data defined rotation does not work if data

defined position is set + label rotation tool does not work if data defined position is not defined

#4 - 2014-06-20 11:29 AM - Giovanni Manghi
- Assignee set to Larry Shaffer

#5 - 2015-03-18 04:32 PM - Nyall Dawson

- Status changed from Open to Feedback

| can't reproduce this - is it still an issue?

#6 - 2015-03-19 12:30 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
